Subject: FVWM: can't popup a menu with a space in its name

From: Austin Donnelly <[email-masked]>
Date: Fri, 19 Apr 96 14:12 BST

I'm using fvwm-2.0.42.

If I define a menu such as:

AddToMenu "Window Ops" "Window Ops" Title
+              "Move" Move
+              "Resize" Resize
+              "Raise" Raise
+              "Lower" Lower

And then bind it to a mouse button with:

Mouse 2		R   	A       Menu "Window Ops" Nop

Then when I click mouse 2, I get this message from fvwm:

[FVWM][staysup_func]: <<ERROR>> No such menu Window Ops

However, the manpage says that:

|       using the backslash character.  For example, if you have a
|       pop-up menu called Window-Ops, then you don't need quotes:
|       Popup Window-Ops, but if  you  replace  the  dash  with  a
|       space, then you need quotes: Popup "Window Ops".

Replacing the "Mouse" binding by:

Mouse 2		R   	A       Popup "Window Ops"

Now, clicking mouse 2 doesn't result in an error, but pops up just the
title of the menu, with no contents.

Of course, the easy fix is to change the space to a hyphen. However,
I've been working on the fvwmrc_convert script, and doing this
substitution from the script would be non-trivial.

Could fvwm be fixed to allow proper quoting, please ?

Austin
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].